Download it now!
Bug 95990 - Calc is crashed when you double click on function in Sidebar-Function
Summary: Calc is crashed when you double click on function in Sidebar-Function
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.0.1
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-11-22 18:44 UTC by Roman Kuznetsov
Modified: 2016-10-25 19:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (8.33 KB, text/plain)
2015-11-22 20:27 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2015-11-22 18:44:00 UTC
Version: 5.1.0.0.alpha1+ (x64)
ID build: 966c1e94e8e2669bd623999661b95cdfefa8c6b7-GL
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-11-22_00:59:29
Locale: ru-RU (ru_RU)
OS: Windows 7 HB x86-64

1. Open new document Calc
2. Open Sidebar
3. Select section Functions (bottom icon)
4. Double clock on any function in list
5. Calc is crashed and proposes restore the file
Comment 1 Julien Nabet 2015-11-22 20:27:45 UTC
Created attachment 120725 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 V Stuart Foote 2015-11-22 21:48:57 UTC
Confirmed

On Windows 10 Pro 64-bit (en-US) with
Version: 5.1.0.0.alpha1+ (x64)
Build ID: 966c1e94e8e2669bd623999661b95cdfefa8c6b7-GL
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-11-22_00:59:29
Locale: en-US (en_US)

Don't get a proper dump file when attached to WinDbg

Following is a WinDbg stack trace of procdump when clicking the Calc Sidebar Function deck's "fx" Insert function button.  

The mergedloButton::Click  --> mergedlo!ListBox::GetSelectEntry look suspect.


0:000> ~* k

.  0  Id: fa8.124c Suspend: 0 Teb: 00007ff6`7a32e000 Unfrozen
Child-SP          RetAddr           Call Site
0000001a`c863d678 00007ffe`3253f8e5 user32!NtUserGetMessage+0xa
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for mergedlo.dll - 
0000001a`c863d680 00007ffe`0609b289 user32!GetMessageW+0x25
0000001a`c863d6b0 00007ffe`0609afde mergedlo!vcl::IsWindowSystemAvailable+0x6fd9
0000001a`c863d720 00007ffe`06015763 mergedlo!vcl::IsWindowSystemAvailable+0x6d2e
0000001a`c863d770 00007ffe`05ce932e mergedlo!Application::Yield+0x43
0000001a`c863d7a0 00007ffe`055112f2 mergedlo!Dialog::Execute+0x6e
0000001a`c863d800 00007ffe`05510e09 mergedlo!SvxVertTextTbxCtrl::RegisterControl+0x12d2
0000001a`c863d850 00007ffe`0506d392 mergedlo!SvxVertTextTbxCtrl::RegisterControl+0xde9
0000001a`c863d8b0 00007ffe`050637b3 mergedlo!sfx2::SvBaseLink::setStreamToLoadFrom+0xc352
0000001a`c863d9b0 00007ffe`0601a368 mergedlo!sfx2::SvBaseLink::setStreamToLoadFrom+0x2773
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for sal3.dll - 
0000001a`c863da00 00007ffe`1784d2ab mergedlo!SVMain+0x118
0000001a`c863da40 00007ffe`2fc602ce sal3!sal_detail_initialize+0x36b
0000001a`c863da80 00007ffe`076668af KERNELBASE!UnhandledExceptionFilter+0x14e
0000001a`c863db80 00007ffe`1a14f2cb mergedlo!xstor_component_getFactory+0x123ce7f
0000001a`c863dbc0 00007ffe`32b5633d msvcr120!_C_specific_handler+0x93
0000001a`c863dc30 00007ffe`32ad3c00 ntdll!RtlpExecuteHandlerForException+0xd
0000001a`c863dc60 00007ffe`32b5544a ntdll!RtlDispatchException+0x370
0000001a`c863e360 00007ffe`05e08990 ntdll!KiUserExceptionDispatch+0x3a
0000001a`c863e920 00007ffe`05e08907 mergedlo!ListBox::GetSelectEntryPos+0x20
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for sclo.dll - 
0000001a`c863e960 00007ffe`01b1f74c mergedlo!ListBox::GetSelectEntry+0x37
0000001a`c863e9a0 00007ffe`05dbf687 sclo!ScViewData::GetVSplitMode+0x875c
0000001a`c863ea50 00007ffe`05d97d13 mergedlo!Control::ImplCallEventListenersAndHandler+0x57
0000001a`c863ea90 00007ffe`05d774a2 mergedlo!Button::Click+0x73
0000001a`c863eaf0 00007ffe`05d90bba mergedlo!vcl::Window::EndTracking+0x142
0000001a`c863eb60 00007ffe`05d9190b mergedlo!vcl::Window::ImplAsyncFocusHdl+0x2aba
0000001a`c863ed00 00007ffe`05d9233f mergedlo!vcl::Window::ImplAsyncFocusHdl+0x380b
0000001a`c863ed50 00007ffe`060d0697 mergedlo!FloatingWindow::ImplSetMouseDown+0x23f
0000001a`c863ee60 00007ffe`060d46ce mergedlo!CommandMediaData::GetPassThroughToOS+0x32a7
0000001a`c863ef50 00007ffe`060d4cd0 mergedlo!WorkWindow::IsFullScreenMode+0xa9e
0000001a`c863eff0 00007ffe`325300dc mergedlo!WorkWindow::IsFullScreenMode+0x10a0
0000001a`c863f060 00007ffe`3252f991 user32!UserCallWinProcCheckWow+0x1fc
0000001a`c863f150 00007ffe`14e7b4ae user32!CallWindowProcW+0x91
0000001a`c863f1a0 00007ffe`325300dc opengl32!wglWndProc+0x4fe
0000001a`c863f220 00007ffe`3252fc07 user32!UserCallWinProcCheckWow+0x1fc
0000001a`c863f310 00007ffe`0609b2c3 user32!DispatchMessageWorker+0x1a7
0000001a`c863f390 00007ffe`0609afde mergedlo!vcl::IsWindowSystemAvailable+0x7013
0000001a`c863f400 00007ffe`060125e7 mergedlo!vcl::IsWindowSystemAvailable+0x6d2e
0000001a`c863f450 00007ffe`05066ac2 mergedlo!Application::Execute+0x177
0000001a`c863f4a0 00007ffe`06019ee9 mergedlo!sfx2::SvBaseLink::setStreamToLoadFrom+0x5a82
0000001a`c863f760 00007ffe`0601a282 mergedlo!DeInitVCL+0x629
0000001a`c863f7a0 00007ffe`05081de5 mergedlo!SVMain+0x32
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for soffice.bin - 
0000001a`c863f7d0 00007ff6`7b31102e mergedlo!soffice_main+0x75
0000001a`c863f880 00007ff6`7b31139d soffice+0x102e
0000001a`c863f8b0 00007ffe`327f2d92 soffice!main+0x35d
0000001a`c863f8f0 00007ffe`32ac9f64 kernel32!BaseThreadInitThunk+0x22
0000001a`c863f920 00000000`00000000 ntdll!RtlUserThreadStart+0x34
Comment 3 Robert Gonzalez MX 2015-11-28 23:14:52 UTC
Hi.

I can reproduce this problem

Also, if a function is selected in the side bar and clicking on the fx button also crash the application.

Tested with Version: 5.1.0.0.alpha1+
Build ID: f6bc5b79c31225c02e9500d0ced4bd26f998f82b
Threads 2; Ver: Windows 5.1; Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-24_01:16:59
Locale: es-MX (es_MX)
On Windows XP SP3 and Windows 10

Version: 5.1.0.0.beta1-buildfix1
Build ID: 13010a13177025f633c9b85adcb3edf6920e44e3
Threads 8; Ver: Windows 6.2; Render: default; 
Locale: es-MX (es_MX) on Windows 10

Tested with Version: 5.2.0.0.alpha0+
Build ID: a8860122fecbaa932a48f41a38077f621275be9d
Threads 2; Ver: Windows 5.1; Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-27_10:34:00
Locale: es-MX (es_MX)
On Windows XP SP3 and Windows 10
Comment 4 Commit Notification 2015-12-01 06:36:09 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f34b4844473d08c0c264ba4453a875e32f5c326b

tdf#95990 - Calc is crashed when you double click on function in Sideba

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-12-01 06:37:57 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d5f762b49253f4758824e883d1a429f09001b99&h=libreoffice-5-1

tdf#95990 - Calc is crashed when you double click on function in Sideba

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Roman Kuznetsov 2015-12-01 10:37:04 UTC
Why only in 5.1.0.1? O_o

In release 5.1 this bug has left?
Comment 7 Julien Nabet 2015-12-01 10:41:55 UTC
(In reply to kompilainenn from comment #6)
> Why only in 5.1.0.1? O_o
> 
> In release 5.1 this bug has left?

The first version of 5.1 branch hasn't been released yet. The fix will be on it.
Comment 8 Roman Kuznetsov 2015-12-01 12:40:37 UTC
(In reply to Julien Nabet from comment #7)
> (In reply to kompilainenn from comment #6)
> > Why only in 5.1.0.1? O_o
> > 
> > In release 5.1 this bug has left?
> 
> The first version of 5.1 branch hasn't been released yet. The fix will be on
> it.

oops =(( sorry, I thought to 5.1.1 =(
Comment 9 Julien Nabet 2015-12-02 18:40:49 UTC
On pc Debian x86-64 with master sources updated today, I confirm it's ok.